[Python-bugs-list] [Bug #113773] Python 2.0b1 selectmodule compile error under Redhat 5.2

noreply@sourceforge.net noreply@sourceforge.net
Fri, 22 Sep 2000 07:32:16 -0700

Bug #113773, was updated on 2000-Sep-06 18:26
Here is a current snapshot of the bug.

Project: Python
Category: Build
Status: Open
Resolution: None
Bug Group: Platform-specific
Priority: 5
Summary: Python 2.0b1 selectmodule compile error under Redhat 5.2

Details: Environment: Redhat 5.2 running the gcc compiler that comes with the
distribution (gcc

'make' failed when compiling selectmodule.c ('./configure' ran ok)because
the following constants were undefined:


The /usr/include/sys/poll.h file does not contain these constants.
Under Redhat 6.2 the constants are defined in the /usr/include/bits/poll.h
file (which is not present in the Redhat 5.2 distribution).

I used the Redhat 6.2 poll.h file and the selectmodule compiled (under
Redhat 5.2) but got the following error when running 
'make test' (it looks like it might be related to the compile problem):

test test_poll crashed -- select.error: (9, 'Bad file descriptor')

1 test failed: test_poll


Date: 2000-Sep-07 15:06
By: jhylton

Please do triage on this bug.

Date: 2000-Sep-14 23:08
By: tim_one

Boosted the priority and assigned to Fred.  Don't know what you can do about an older Redhat build problem, and it's not clear that the test failure isn't simply due to mixing files across OS releases.  I'm inclined to blame it on the OS.

Date: 2000-Sep-15 13:11
By: fdrake

I've asked SourceForge if there are ways to use older versions of operating systems on their compile farm.  Until then, we'll need a volunteer with a RH5.2 system to help with this.

Stuart:  Are you willing to test a patch if I mail it to you?  Thanks.

Date: 2000-Sep-15 19:50
By: fdrake

SourceForge will try and provide a RH5.2 installation for us; now that's service!

Date: 2000-Sep-20 22:33
By: fdrake

Reducing priority since the platform is old and we still don't have access to it.

Date: 2000-Sep-22 07:32
By: fdrake

For the record, SF stills plans to attempt to provide a RH5.2 installation / "virtual environment" we can use, but the person who handles it says it will be this weekend or next week before he can get to it.

For detailed info, follow this link: